For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Updates the lifetime configuration for the specified [feature flag type](https://docs.getunleash.io/concepts/feature-flags#feature-flag-types). The expected lifetime is an integer representing the number of days before Unleash marks a feature flag of that type as potentially stale. If set to `null` or `0`, then feature flags of that particular type will never be marked as potentially stale.
When a feature flag type's expected lifetime is changed, this will also cause any feature flags of this type to be reevaluated for potential staleness.
Authentication
Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format
Path parameters
idstringRequired
Request
updateFeatureTypeLifetimeSchema
lifetimeDaysinteger or nullRequired0-2147483647
The new lifetime (in days) that you want to assign to the feature flag type. If the value is null or 0, then the feature flags of that type will never be marked as potentially stale. Otherwise, they will be considered potentially stale after the number of days indicated by this property.
Response
featureTypeSchema
idstring
The identifier of this feature flag type.
namestring
The display name of this feature flag type.
descriptionstring
A description of what this feature flag type is intended to be used for.
lifetimeDaysinteger or null>=0
How many days it takes before a feature flag of this typed is flagged as potentially stale by Unleash. If this value is null, Unleash will never mark it as potentially stale.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
415
Unsupported Media Type Error
Updates the lifetime configuration for the specified feature flag type. The expected lifetime is an integer representing the number of days before Unleash marks a feature flag of that type as potentially stale. If set to null or 0, then feature flags of that particular type will never be marked as potentially stale.
When a feature flag type’s expected lifetime is changed, this will also cause any feature flags of this type to be reevaluated for potential staleness.